Subject: bug#43486: guix pull raised a bug in 679d5e6b3d

From: Nala Ginrut <[email-masked]>
Date: Mon, 21 Sep 2020 10:50:16 +0800

Hi Ludo!
I've tried again, it seems the bug mention has gone, however, the
process was always killed:

-----------------------------------cut-----------------------------------------
root@tokyo-nala-prv:~# guix pull -c 1 -M 1
guile: warning: failed to install locale
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Building from this channel:
guix      https://git.savannah.gnu.org/git/guix.git   0a38519
Computing Guix derivation for 'x86_64-linux'... /
substitute: /gnu/store/29jhbbg1hf557x8j53f9sxd9imlmf02a-bash-minimal-5.0.7/bin/bash: warning: setlocale: LC_ALL: cannot change locale (en_US.utf8)
The following derivation will be built:
/gnu/store/p663xc05y6pk19nfifjcg06jfx98m9jd-profile.drv

building package cache...
|Killed
----------------------------------------------end-------------------------------------

What's possibily wrong?

Best regards.

Ludovic Courtès writes:

> Hello,
>
> Nala Ginrut <[email-masked]> skribis:
>
>> I encountered this error text when I run `guix pull' on Debian.
>> I just report by its suggestion.
>>
>> Computing Guix derivation for 'x86_64-linux'... |guix pull: error: You found a bug: the program '/gnu/store/kqfj3rfhfllwjbrbgb32mczpcksmbxbq-compute-guix-derivation'
>> failed to compute the derivation for Guix (version: "679d5e6b3dcac4ee1f419c04b3719fead0bd9ee5"; system: "x86_64-linux";
>> host version: "1.1.0"; pull-version: 1).
>> Please report it by email to <[email-masked]>.
>
> Could you paste the lines that were written just above?
>
> Thanks,
> Ludo’.

--
GNU Powered it
GPL Protected it
GOD Blessed it
HFG - NalaGinrut
Fingerprint F53B 4C56 95B5 E4D5 6093 4324 8469 6772 846A 0058